Package org.apache.lucene.search

## Class KnnVectorFieldExistsQuery

- java.lang.Object
- - org.apache.lucene.search.Query
  - - org.apache.lucene.search.FieldExistsQuery
    - - org.apache.lucene.search.KnnVectorFieldExistsQuery

-     @Deprecated
      public class KnnVectorFieldExistsQuery
      extends FieldExistsQuery

  Deprecated.
  Use `FieldExistsQuery` instead.
  A `Query` that matches documents that contain a vector field.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KnnVectorFieldExistsQuery​(String field)` | Deprecated. Create a query that will match documents which have a value for the given `field`.

  - ### Method Summary

    - ### Methods inherited from class org.apache.lucene.search.FieldExistsQuery

      `createWeight, equals, getDocValuesDocIdSetIterator, getField, hashCode, rewrite, toString, visit`

    - ### Methods inherited from class org.apache.lucene.search.Query

      `classHash, rewrite, sameClassAs, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KnnVectorFieldExistsQuery

          public KnnVectorFieldExistsQuery​(String field)

      Deprecated.
      Create a query that will match documents which have a value for the given `field`.